package com.ruoyi.scientific.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科研管理对象 act_project
 *
 * @author zqjia
 * @date 2024-07-14
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("act_project")
public class ActProject implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     *
     */
    @TableId(value = "id")
    private String id;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 指南id
     */
    private String handbookId;
    /**
     * 项目类别
     */
    private Long category;
    /**
     * 项目名称
     */
    private String name;

    private Date createTime;
}
