package com.ruoyi.scientific.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报v2对象 project_handbook
 *
 * @author ruoyi
 * @date 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("project_handbook")
public class ProjectHandbook extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目ID
     */
    @TableId(value = "handbook_id")
    private Long handbookId;
    /**
     * 申报信息名称
     */
    private String handbookName;
    /**
     * 项目立项流程实例Id
     */
    private String handbookProcId;
    /**
     * 项目审核状态(0未审核 1审核中 3审核通过)
     */
    private String handbookStatus;
    /**
     * 项目指南类型(0 科技计划 1 研发计划)
     */
    private String handbookType;
    /**
     * 项目指南级别(0市级 1区级 3省级 4国家级)
     */
    private String handbookLevel;
    /**
     * 申报状态(0 停止申报 1 申报中)
     */
    private String declareStatus;
    /**
     * 申报开始日期
     */
    private Date projectAppStTime;
    /**
     * 申报结束日期
     */
    private Date projectAppEndTime;
    /**
     * 指南负责人
     */
    private String handbookLeader;
    /**
     * 指南负责人电话
     */
    private String projectLeaderPhone;

}
