package com.ruoyi.scientific.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 项目申报v2视图对象 project_handbook
 *
 * @author ruoyi
 * @date 2024-07-23
 */
@Data
@ExcelIgnoreUnannotated
public class ProjectHandbookVo {

    private static final long serialVersionUID = 1L;

    /**
     * 项目ID
     */
    @ExcelProperty(value = "项目ID")
    private Long handbookId;

    /**
     * 申报信息名称
     */
    @ExcelProperty(value = "申报信息名称")
    private String handbookName;

    /**
     * 项目立项流程实例Id
     */
    @ExcelProperty(value = "项目立项流程实例Id")
    private String handbookProcId;

    /**
     * 项目审核状态(0未审核 1审核中 3审核通过)
     */
    @ExcelProperty(value = "项目审核状态(0未审核 1审核中 3审核通过)")
    private String handbookStatus;

    /**
     * 项目指南类型(0 科技计划 1 研发计划)
     */
    @ExcelProperty(value = "项目指南类型(0 科技计划 1 研发计划)")
    private String handbookType;

    /**
     * 项目指南级别(0市级 1区级 3省级 4国家级)
     */
    @ExcelProperty(value = "项目指南级别(0市级 1区级 3省级 4国家级)")
    private String handbookLevel;

    /**
     * 申报状态(0 停止申报 1 申报中)
     */
    @ExcelProperty(value = "申报状态(0 停止申报 1 申报中)")
    private String declareStatus;

    /**
     * 申报开始日期
     */
    @ExcelProperty(value = "申报开始日期")
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @ExcelProperty(value = "申报结束日期")
    private Date projectAppEndTime;

    /**
     * 指南负责人
     */
    @ExcelProperty(value = "指南负责人")
    private String handbookLeader;

    /**
     * 指南负责人电话
     */
    @ExcelProperty(value = "指南负责人电话")
    private String projectLeaderPhone;


}
